---
layout: default
permalink: /
title: Introduction
---

Introduction
============

[![Source Code](http://img.shields.io/badge/source-jinya/plates-blue.svg?style=flat-square)](https://github.com/Jinya-CMS/plates)
[![Latest Version](https://img.shields.io/github/release/Jinya-CMS/plates.svg?style=flat-square)](https://github.com/Jinya-CMS/plates/releases)
[![Software License](https://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat-square)](https://github.com/Jinya-CMS/plates/blob/master/LICENSE)
[![Total Downloads](https://img.shields.io/packagist/dt/jinya/plates.svg?style=flat-square)](https://packagist.org/packages/league/plates)

## About

Plates is a native PHP template system that's fast, easy to use and easy to extend. It's inspired by the excellent [Twig](http://twig.sensiolabs.org/) template engine and strives to bring modern template language functionality to native PHP templates. Plates is designed for developers who prefer to use native PHP templates over compiled template languages, such as Twig or Smarty.

## Highlights

- Native PHP templates, no new [syntax]({{ site.baseurl }}{% link templates/syntax.md %}) to learn
- Plates is a template system, not a template language
- Plates encourages the use of existing PHP functions
- Increase code reuse with template [layouts]({{ site.baseurl }}{% link templates/layouts.md %}) and [inheritance]({{ site.baseurl }}{% link templates/inheritance.md %})
- Template [folders]({{ site.baseurl }}{% link engine/folders.md %}) for grouping templates into namespaces
- [Data]({{ site.baseurl }}/templates/data.md#preassigned-and-shared-data) sharing across templates
- Preassign [data]({{ site.baseurl }}/templates/data#preassigned-and-shared-data) to specific templates
- Built-in [escaping]({{ site.baseurl }}{% link templates/escaping.md %}) helpers
- Easy to extend using [functions]({{ site.baseurl }}{% link engine/functions.md %}) and [extensions]({{ site.baseurl }}{% link engine/extensions.md %})
- Framework-agnostic, will work with any project
- Decoupled design makes templates easy to test
- Composer ready and PSR-2 compliant

## Questions?

Plates is currently maintained by Imanuel Ulbricht, previously maintained by [RJ Garcia](https://twitter.com/ragboyjr) and originally created by [Jonathan Reinink](https://twitter.com/reinink). Submit issues to [Github](https://github.com/Jinya-CMS/plates/issues).
